<?php
/**
 * Functions for dealing with theme settings on both the front end of the site and the admin.
 *
 * @package Canyon
 * @subpackage Functions
 */

/** Loads the Canyon theme setting. */
function canyon_get_settings() {
	global $canyon;

	/* If the settings array hasn't been set, call get_option() to get an array of theme settings. */
	if ( !isset( $canyon->settings ) ) {
		$canyon->settings = get_option( 'canyon_options' );
	}
	
	/** return settings. */
	return $canyon->settings;
}
?>